# This file was auto-generated by Fern from our API Definition.

from ..core.client_wrapper import AsyncClientWrapper, SyncClientWrapper
from .forecasts.client import AsyncForecastsClient, ForecastsClient
from .raw_client import AsyncRawCyclonesClient, RawCyclonesClient


class CyclonesClient:
    def __init__(self, *, client_wrapper: SyncClientWrapper):
        self._raw_client = RawCyclonesClient(client_wrapper=client_wrapper)
        self.forecasts = ForecastsClient(client_wrapper=client_wrapper)

    @property
    def with_raw_response(self) -> RawCyclonesClient:
        """
        Retrieves a raw implementation of this client that returns raw responses.

        Returns
        -------
        RawCyclonesClient
        """
        return self._raw_client


class AsyncCyclonesClient:
    def __init__(self, *, client_wrapper: AsyncClientWrapper):
        self._raw_client = AsyncRawCyclonesClient(client_wrapper=client_wrapper)
        self.forecasts = AsyncForecastsClient(client_wrapper=client_wrapper)

    @property
    def with_raw_response(self) -> AsyncRawCyclonesClient:
        """
        Retrieves a raw implementation of this client that returns raw responses.

        Returns
        -------
        AsyncRawCyclonesClient
        """
        return self._raw_client
